# Irelia
## The Blade Dancer



Play as Irelia, the Blade Dancer in Risk of Rain 2!


![Irelia Image 1](https://cdn.discordapp.com/attachments/388044695843897354/852751331877978142/unknown.png)
![Irelia Image 2](https://cdn.discordapp.com/attachments/388044695843897354/851283441383374858/Screenshot_2.png)
![Irelia Image 3](https://cdn.discordapp.com/attachments/388044695843897354/851283458562064434/Screenshot_3.png)

## Abilities
 - Passive (Ionian Fervor): Abilities grants a stack, each giving 5% bonus attack speed, up to a maximum of 5.
At max stacks, gain another 10% bonus attack speed.
Stacks are refreshed on attack.
 - Normal Attack (Transcendant Blade): Swing forward for 150% damage.
 - M2 (Defiant Dance): Charge a piercing slash to deal up to 200% damage and marking each enemy hit.
Become invulnerable while charging.
 - Shift (BladeSurge): Dash forward, dealing 350% damage and stopping at the first enemy hit.
Hitting a marked enemy or killing them resets this cooldown.
 - R (Ionian Whirl): Continiously slice enemies around Irelia, dealing 600% over 3 seconds, increased by attack speed.
Each hit applies on hit effect at 50% efficiency.



## Current known issues
Obviously there are still some bugs. Here are the more major known ones:
 - In multiplayer, other players may see your Defiant Dance displayed bizzarely
 - The run animation, on rare occasions, freezes. Just sprint or attack to remove it
- You will occasionnaly punt wisps pretty far with BladeSurge. Was reduced in 1.0.4
 - If you check the console, you will see lots of red, and threats of a NRE. This is not ideal, but I have not encountered any issues because of this


## Thanks
 - Huge thanks to Rob. Without his amazing template, this would never have been made.
 - Many thanks to Chen and Dragonyck for their prompt answers helping me fix my bugs
 - Thank you to Altaric for network testing, idea development, and continuous support
 - Thank you to Butler for idea development, kit feedback and support
 - Thank you to Shion, Mary, real life eboy, Bonji, Fanna, Gray and Darga for their feedback and bug reports.

## Feedback
Feel free to hit me up on discord (Suspicious Hat#2495) with any feedback or bugs you may find. All constructive critiscm is glady accepted and very appreciated.



## Disclaimer

All art, sound and character design is entirely owned by Riot Games. I simply modified the existing League of Legends kit, added some VFX, and developped it for Risk of Rain 2. I believe the use of Riot Games' assets falls under their [legal policy](https://www.riotgames.com/en/legal) where they allow this use. If this is not the case, feel free to contact me to take this down. I do this uniquely because I love the game, the character, and Risk of Rain 2, and no profit is being made off this.

Irelia was created under Riot Games' "Legal Jibber Jabber" policy using assets owned by Riot Games.  Riot Games does not endorse or sponsor this project.

I use Rob's attack on hit vfx from the template. I can of course take it down if he wants.

# Future Plans
Mostly bugfixes. If people really like the mod, maybe some alternate abilities and skins, but no promises.

# Changes

1.03 -> 1.04 Removed freeze after M2 (Very sorry about that, thats my bad). Mostly fixed how wisps would get displaced very far away when getting hit with Shift (BladeSurge). It still happens occasionally though.

1.02 -> 1.03 Changed the character select image.

1.0.1 -> 1.0.2 Fixed focused convergence and backup magazines. Placed all equipments (Most on Irelia's right thigh) . Change M1 and BladeSurge hitbox a little bit to feel much better on the top of Vagrant. Reduced volume of VFX (Also, VFX can be manually changed in the VFX settings of ROR2).

1.0.0 -> 1.0.1  Buffed M1 (+50%) and shift (+50%). Changed M2 to be shorter and give immune. Added second jump. Changed body color to red. Changed passive to not scale off missing health and give instead a flat 10% at 5 stacks.


